/**
 * Google Analytics G4 - Confira a documentação para conferir todos os eventos e parâmetros
 * Doc.: https://developers.google.com/analytics/devguides/collection/ga4/ecommerce
 * @param {('view_item' | 'add_to_cart' | 'remove_from_cart' | 'begin_checkout' | 'add_shipping_info' | 'add_payment_info' | 'purchase')} eventName Nome do evento
 * @param {object} params Parâmetros de cada evento
 */
export default function(eventName, params) {
  if (!eventName || !params || typeof window.gtag === 'undefined') {
    return;
  }

  window.gtag('event', eventName, params);
}
